• Did you order new AirTags? We've opened a dedicated AirTags forum.

AceFernalld

macrumors demi-god
Mar 3, 2008
2,820
3,584
Massachusetts
Not in the current beta at least :) - But when they get removed, and they will be, just brew install python2 and brew install perl
What makes you say that they will definitively be removed? Does Python need x86 to run, so you think with the transition they’ll be removed from all of macOS?
 
Comment

chrfr

macrumors G4
Jul 11, 2009
11,039
4,603
Comment

casperes1996

macrumors 603
Jan 26, 2014
6,020
3,905
Horsens, Denmark
What makes you say that they will definitively be removed? Does Python need x86 to run, so you think with the transition they’ll be removed from all of macOS?

As charr says, it's from Apple's own documentation, not just speculation. Python and Perl will continue to work perfectly fine on the Mac, and Apple officially recommends downloading the from their respective sources; All it is, is that they won't be shipped with macOS by default
 
  • Like
Reactions: AceFernalld
Comment

frou

macrumors 6502a
Mar 14, 2009
930
1,030
I will be so happy when the ancient Python 2 in particular is excised from the base install. It causes more confusion than it's worth to have that thing lingering around on every machine.
 
Comment
Register on MacRumors! This sidebar will go away, and you'll see fewer ads.